package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerHiringApproveRecords;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclPractitionerHiringApproveRecordsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerHiringApproveRecords record);

    int insertSelective(AclPractitionerHiringApproveRecords record);

    AclPractitionerHiringApproveRecords selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerHiringApproveRecords record);

    int updateByPrimaryKey(AclPractitionerHiringApproveRecords record);

    int updateBatch(List<AclPractitionerHiringApproveRecords> list);

    int updateBatchSelective(List<AclPractitionerHiringApproveRecords> list);

    int batchInsert(@Param("list") List<AclPractitionerHiringApproveRecords> list);

    AclPractitionerHiringApproveRecords queryLastOneByBasicInfoId(Long basicInfoId);

    List<AclPractitionerHiringApproveRecords> queryListByBasicInfoId(Long hiringBasicInfoId);

    int deleteByHiringBasicInfoId(Long hiringBasicInfoId);
}